Package org.drinkless.tdlib

# Class TdApi.ProfileAccentColor

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ProfileAccentColor

Enclosing class:
  `TdApi`

public static class TdApi.ProfileAccentColor extends TdApi.Object
Contains information about supported accent color for user profile photo background.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.ProfileAccentColors`
  `darkThemeColors`
  Accent colors expected to be used in dark themes.
  `int`
  `id`
  Profile accent color identifier.
  `TdApi.ProfileAccentColors`
  `lightThemeColors`
  Accent colors expected to be used in light themes.
  `int`
  `minChannelChatBoostLevel`
  The minimum chat boost level required to use the color in a channel chat.
  `int`
  `minSupergroupChatBoostLevel`
  The minimum chat boost level required to use the color in a supergroup chat.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProfileAccentColor()`
  Contains information about supported accent color for user profile photo background.
  `ProfileAccentColor(int id, TdApi.ProfileAccentColors lightThemeColors, TdApi.ProfileAccentColors darkThemeColors, int minSupergroupChatBoostLevel, int minChannelChatBoostLevel)`
  Contains information about supported accent color for user profile photo background.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public int id
    Profile accent color identifier.

  - ### lightThemeColors

    public TdApi.ProfileAccentColors lightThemeColors
    Accent colors expected to be used in light themes.

  - ### darkThemeColors

    public TdApi.ProfileAccentColors darkThemeColors
    Accent colors expected to be used in dark themes.

  - ### minSupergroupChatBoostLevel

    public int minSupergroupChatBoostLevel
    The minimum chat boost level required to use the color in a supergroup chat.

  - ### minChannelChatBoostLevel

    public int minChannelChatBoostLevel
    The minimum chat boost level required to use the color in a channel chat.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ProfileAccentColor

    public ProfileAccentColor()
    Contains information about supported accent color for user profile photo background.

  - ### ProfileAccentColor

    public ProfileAccentColor(int id, TdApi.ProfileAccentColors lightThemeColors, TdApi.ProfileAccentColors darkThemeColors, int minSupergroupChatBoostLevel, int minChannelChatBoostLevel)
    Contains information about supported accent color for user profile photo background.
    Parameters:
      `id` - Profile accent color identifier.
      `lightThemeColors` - Accent colors expected to be used in light themes.
      `darkThemeColors` - Accent colors expected to be used in dark themes.
      `minSupergroupChatBoostLevel` - The minimum chat boost level required to use the color in a supergroup chat.
      `minChannelChatBoostLevel` - The minimum chat boost level required to use the color in a channel chat.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR